Gem::Specification.new do |spec|
  spec.name                      = 'phone_number_validator'
  spec.version                   = '1.0.3'
  spec.date                      = Time.now.strftime("%Y-%m-%d")
  spec.summary                   = 'Validate any US phone number!'
  spec.description               = <<-EOF
    This gem is a United States phone number validator.
    This gem uses a complex regular expression that can validate any United States phone number. 
    Check out the documentation under the links section to see how to use this gem.
  EOF
  spec.author                    = 'bag33188'
  spec.email                     = 'shuckle168@gmail.com'
  spec.files                     = `git ls-files -z`.split("\x0")
  # spec.files                     = ['phone_number_validator.gemspec', 'Gemfile', 'Rakefile', 'LICENSE', 'README.rdoc']
  # spec.files                    +=  Dir['lib/**/*'] + Dir['bin/*'] + Dir['doc/**/*'] + Dir['test/*']
  spec.require_paths             = %w(lib lib/phone_number_validator doc test bin .)
  spec.test_files                = ['test/test_phone_number_validator.rb']
  spec.executables               << 'pnv'
  spec.homepage                  = 'https://github.com/bag33188/phone-number-validator'
  spec.license                   = 'MIT'
  spec.bindir                    = 'bin'
  spec.extra_rdoc_files          = ['README.rdoc']
  spec.platform                  = Gem::Platform::RUBY
  spec.required_ruby_version     = '>= 2.6.0'
  spec.required_rubygems_version = '>= 2.6.0'
  spec.post_install_message      = "Thanks for installing my phone_number_validator gem!\r\nI hope you will enjoy using it! :)"
  spec.requirements             << 'A Windows, Mac, or Linux computer with Ruby and RubyGems Installed.'
  spec.metadata                  = {
    'bug_tracker_uri'            => 'https://github.com/bag33188/phone-number-validator/issues',
    'source_code_uri'            => 'https://github.com/bag33188/phone-number-validator',
    'documentation_uri'          => 'https://www.rubydoc.info/gems/phone_number_validator'
  }
  spec.add_development_dependency  'bundler', '~> 1.11', '>= 1.11.2'
end
